WeatherSnoop

WeatherSnoop 4 Frequently Asked Questions

What are the requirements for WeatherSnoop 4?
WeatherSnoop 4 requires a modern Mac running macOS Sierra 10.12 or higher.
What weather stations does WeatherSnoop 4 support?
WeatherSnoop 4 supports all of the following stations:

  • Columbia Weather Systems MicroServer
  • Davis Vantage Pro, Vantage Pro2, Vantage Vue, Envoy
  • Ambient Weather WS-1080, WS-1090, WS-2080, WS-2090
  • Maplin N96GY/N96FY
  • National Geographic 256NC
  • Tycon TP1080WC
  • Velleman WS1080
  • Aercus WS3083
  • Peet Brothers ULTIMETER Series
  • RainWise CC-3000
  • Texas Weather Instruments NWS/RWS & WRL/WLS
  • WeatherHawk 600 Series & Signature Series
How do I purchase WeatherSnoop 4?
You can purchase WeatherSnoop 4 right from within the app using your credit card or PayPal.
Will there be Lite and Pro versions of WeatherSnoop 4?
No. WeatherSnoop 4 is sold with all features for a single price.
Should I upgrade to WeatherSnoop 4 if I am content with WeatherSnoop 3?
Many customers will continue to use WeatherSnoop 3, as it runs on systems all the way back to Mac OS X 10.5 and supports PowerPC Macs. Our plan is to continue to support WeatherSnoop 3.